#ifndef	_TASK_SOUND_H
#define	_TASK_SOUND_H

/**
 * @file task_sound.h
 * @brief Sound player using the ESP32 internal DAC port.
 */

/**
 * @brief Sound prompt types
 */
typedef enum {
    SOUND_StartUp = 0,			///< Startup sound.
    SOUND_Prompt,                   	///< Prompt sound
    SOUND_TempReached,                  ///< Temperature Reached
    SOUND_TimeOut,                      ///< Time out.
    SOUND_AddHop,                       ///< Add hop sound
    SOUND_End,                          ///< End sound
    SOUND_Warn,                         ///< Warning sound
} SOUND_TYPE;

/**
 * @brief Play sound
 * @param id Sound ID
 */
void SoundPlay(int id);

/**
 * @brief FreeRTOS sound task.
 */
void task_sound(void *);


#endif
